package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-1152:Salvar mensagem somente cópia oculta
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1152
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 21, 2011 at 2:35:45 PM
 * 
 */
public class SalvarEmailSomenteCopiaOcultaTestCase extends BaseEmailTestCase {

	/**
	 * Compoe uma mensagem e salva no rascunho para posterior envio.
	 */
	@Test
	public void salvarEmailSomenteCopiaOculta() {
		// Cria email e salva na pasta Rascunhos.
		mp.composeEmail("", EMAIL_ASSUNTO_SALVAR_SOMENTE_COPIA_OCULTA,
				EMAIL_TEXTO_SALVAR_SOMENTE_COPIA_OCULTA);
		mp.setBlindCarbonCopy(EMAIL_TESTE_1);
		mp.saveEmail();
		mp.assertMessage(MSG_EMAIL_RASCUNHO);
		mp.closeMail(false);

		// Vai para a pasta Rascunhos e localiza email salvo.
		mp.openFolder("lINBOX/Draftstree_folders");
		String id = mp.readEmail(EMAIL_ASSUNTO_SALVAR_SOMENTE_COPIA_OCULTA);
		mp.editEmail(id);

		// Verifica integridade dos campos.
		Assert.assertEquals("", mp.getTo(id).getValue());
		Assert.assertEquals(EMAIL_ASSUNTO_SALVAR_SOMENTE_COPIA_OCULTA, mp
				.getSubject(id).getValue());
		Assert.assertEquals(EMAIL_TESTE_1, mp.getBlindCarbonCopy(id).getValue());
		String body = mp.getBody(id).toString();

		// Retirar o <span></span> que é colocado no momento de visualizar o
		// email para edicao.
		int spanOpen = body.indexOf("<span><span>") + 13;
		int spanClose = body.lastIndexOf("</span></span>") - 1;
		body = body.substring(spanOpen, spanClose).trim();

		System.out.println(body);

		mp.closeMail(id, true);

		Assert.assertEquals(EMAIL_TEXTO_SALVAR_SOMENTE_COPIA_OCULTA, body);
	}

}
